com.independentsoft.exchange

## Enum AuthenticationPackage

- java.lang.Object
- - java.lang.Enum<AuthenticationPackage>
  - - com.independentsoft.exchange.AuthenticationPackage

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AuthenticationPackage>

      public enum AuthenticationPackage
      extends java.lang.Enum<AuthenticationPackage>

  Specifies the authentication scheme that is used when authenticating against the computer that is running Microsoft Exchange Server that has the Mailbox server role installed.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASIC` Basic.
    `CERTIFICATE` Certificate.
    `KERBEROS` Kerberos.
    `KERBEROS_NTLM` KerberosNtlm.
    `NONE` None.
    `NTLM` Ntlm.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuthenticationPackage` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AuthenticationPackage[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BASIC

          public static final AuthenticationPackage BASIC

      Basic.

    - #### KERBEROS

          public static final AuthenticationPackage KERBEROS

      Kerberos.

    - #### KERBEROS_NTLM

          public static final AuthenticationPackage KERBEROS_NTLM

      KerberosNtlm.

    - #### NTLM

          public static final AuthenticationPackage NTLM

      Ntlm.

    - #### CERTIFICATE

          public static final AuthenticationPackage CERTIFICATE

      Certificate.

    - #### NONE

          public static final AuthenticationPackage NONE

      None.

  - ### Method Detail

    - #### values

          public static AuthenticationPackage[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuthenticationPackage c : AuthenticationPackage.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuthenticationPackage valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null